### Tcl/Tk Keywords - R

## A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

radiobutton
  radiobutton
raise
  raise
raised
  3DBorder
range
  lrange
rc file
  SourceRCFile
read
  fcopy, gets, read, set, trace, GetOpnFl, OpenFileChnl
read-only
  LinkVar
readable
  fileevent
real
  LinkVar
realloc
  Alloc
record
  history, RecEvalObj, RecordEval
recursion
  SetRecLmt
redirection
  exec
redisplay
  CanvTkwin, GetImage, ImgChanged
reference count
  Preserve
reference counting
  Object
register
  SetAppName
registry
  registry
regular expression
  lsearch, re_syntax, regexp, regsub, switch, RegExp
relative file name
  filename
release
  GetVersion
relief
  ConfigWidg, GetRelief, SetOptions
remote execution
  dde, send
remove
  unset
rename
  rename, trace
rename files
  file
replace
  lreplace, lset, ListObj
reporting
  bgerror, tkerror
request
  GeomReq, ManageGeom
requested size
  WindowId
require
  PkgRequire
resource
  resource, Macintosh
resource identifier
  FreeXId, GetPixmap
restriction
  RestrictEv
result
  DString, Eval, Interp, SaveResult, SetResult
retrieve
  option, GetOption
return
  return
return value
  SetResult
ring
  bell
root window
  CoordToWin, GetRootCrd
round
  GetCapStyl, GetJoinStl
rubber sheet
  place

    Copyright © 1989-1994 The Regents of the University of California.
    Copyright © 1990-1994 The Regents of the University of California
    Copyright © 1992-1999 Karl Lehenbauer and Mark Diekhans
    Copyright © 1992-1999 Karl Lehenbauer and Mark Diekhans.
    Copyright © 1993-1997 Bell Labs Innovations for Lucent Technologies
    Copyright © 1994 The Australian National University
    Copyright © 1994-2000 Sun Microsystems, Inc.
    Copyright © 1997-2000 Ajuba Solutions.
    Copyright © 1997-2000 Scriptics Corporation.
    Copyright © 1998 Mark Harrison.
    Copyright © 1998-1999 Scriptics Corporation
    Copyright © 1998-2000 Ajuba Solutions
    Copyright © 1999 Scriptics Corportation
    Copyright © 2000 Jeffrey Hobbs.
    Copyright © 2001 ActiveState Tool Corp.
    Copyright © 2001 Kevin B. Kenny.
    Copyright © 2001 Vincent Darley
    Copyright © 2001-2002 ActiveState Corporation
    Copyright © 2001-2002 Donal K. Fellows
    Copyright © 2001-2002 Kevin B. Kenny. All rights reserved.
    Copyright © 2001-2004 ActiveState Corporation.
    Copyright © 2006-2007 Daniel A. Steffen
    Copyright © 1995-1997 Roger E. Critchlow Jr.